Pagina 1 di 3 123 UltimoUltimo
Mostra risultati da 1 a 10 di 21

Discussione: [Ubuntu 14.04.2 xfce]Kernel aggiornato non parte, il vecchio obsoleto si

  1. #1
    Data registrazione
    Feb 2010
    Località
    NCC1701
    Messaggi
    3,822
    Grazie dati 
    1,307
    Grazie ricevuti 
    1,323
    Ringraziato in
    996 post

    [Ubuntu 14.04.2 xfce]Kernel aggiornato non parte, il vecchio obsoleto si

    Ciao a tutti!

    Visti i continui crash o strani errori ho installato, come da suggerimento di pierino_89, il meta pacchetto che durante l'avanzamento di versione si era evidentemente perso: linux-generic, che si è portato dietro anche
    Codice:
    Only registered members can view code.
    per vedere se il problema era nel kernel installato e non aggiornato 3.2.0-45-generic #70-Ubuntu (vecchio e vulnerabile dal 2013), che a quanto ho capito non è neanche tra i kernel della 14.04 LTS (trusty) ma nella versione precedente ovvero 12.04 LTS (precise) anche se non sono certo del link dove ho controllato, ovvero Ubuntu ? Software Packages in "trusty", Subsection kernel dove si parla dei kernel 3.13.0.x e 3.16.0.x.

    Ha installato il tutto e poi ho avviato essendo un kernel. Il nuovo kernel si blocca sul logo Ubuntu . . . dopo una decina di secondi. Quindi sono stato costretto a rifar partire l'antico (e vulnerabile) 3.2.0-45 che è arrivato alla 3.2.0-82.120 2 giorni fa, ma che ovviamente non viene aggiornato automaticamente visto che è sul repo della versione precedente.
    Parlo di vulnerabile e antico per i motivi spiegati ben il 14 giugno 2013 :
    Citazione Originariamente scritto da Canonical Ltd
    An information leak was discovered in the Linux kernel when inotify is used to monitor the /dev/ptmx device. A local user could exploit this flaw to discover keystroke timing and potentially discover sensitive information like password length.

    A flaw was discovered in the Linux kernel's perf events subsystem for Intel Sandy Bridge and Ivy Bridge processors. A local user could exploit this flaw to cause a denial of service (system crash).

    An information leak was discovered in the Linux kernel's crypto API. A local user could exploit this flaw to examine potentially sensitive information from the kernel's stack memory.

    An information leak was discovered in the Linux kernel's rcvmsg path for ATM (Asynchronous Transfer Mode). A local user could exploit this flaw to examine potentially sensitive information from the kernel's stack memory.

    An information leak was discovered in the Linux kernel's recvmsg path for ax25 address family. A local user could exploit this flaw to examine potentially sensitive information from the kernel's stack memory.

    An information leak was discovered in the Linux kernel's recvmsg path for the bluetooth address family. A local user could exploit this flaw to examine potentially sensitive information from the kernel's stack memory.

    An information leak was discovered in the Linux kernel's bluetooth rfcomm protocol support. A local user could exploit this flaw to examine potentially sensitive information from the kernel's stack memory.

    An information leak was discovered in the Linux kernel's CAIF protocol implementation. A local user could exploit this flaw to examine potentially
    sensitive information from the kernel's stack memory.

    An information leak was discovered in the Linux kernel's IRDA (infrared) support subsystem. A local user could exploit this flaw to examine potentially sensitive information from the kernel's stack memory.

    An information leak was discovered in the Linux kernel's s390 - z/VM support. A local user could exploit this flaw to examine potentially sensitive information from the kernel's stack memory.

    An information leak was discovered in the Linux kernel's llc (Logical Link Layer 2) support. A local user could exploit this flaw to examine potentially sensitive information from the kernel's stack memory.

    An information leak was discovered in the Linux kernel's receive message handling for the netrom address family. A local user could exploit this flaw to obtain sensitive information from the kernel's stack memory.

    An information leak was discovered in the Linux kernel's Rose X.25 protocol layer. A local user could exploit this flaw to examine potentially sensitive information from the kernel's stack memory.

    An information leak was discovered in the Linux kernel's TIPC (Transparent Inter Process Communication) protocol implementation. A local user could exploit this flaw to examine potentially sensitive information from the kernel's stack memory.
    e questi sono i problemi della 3.2.0-45!

    Ora vi chiedo come faccio a far funzionare bene questo Ubuntu 14.04, anche con il kernel che hanno tutti gli altri Ubuntu 14.04 ovvero linux-image-3.13.0-52-generic 3.13.0-52.85 che altri PC hanno con un'installazione pulita dal CD e dopo l'aggiornamento di 2 giorni fa (security update).

    Non è che per caso il nuovo kernel ha per forza bisogno di quel pesante di unity?

    Insomma lo vorrei più sicuro ed affidabile! Help!

    Ultima modifica di Kirk78; 07-05-15 alle 18: 48.

    Rispondi citando Rispondi citando Il mio PC

  2. # ADS
    Google Adsense Circuito Adsense
    Data registrazione
    da sempre
    Località
    mondo google
    Messaggi
    molti
     
  3. #2
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    Nel mondo degli svarioni
    Messaggi
    1,403
    Grazie dati 
    149
    Grazie ricevuti 
    471
    Ringraziato in
    421 post

    Riferimento: [Ubuntu 14.04.2 xfce]Kernel aggiornato non parte, il vecchio obsoleto si

    Citazione Originariamente scritto da Kirk78 Vedi messaggio
    Non è che per caso il nuovo kernel ha per forza bisogno di quel pesante di unity?
    Va che il kernel funziona da solo, non dipende da niente

    Avvialo senza le opzioni "quiet" e "splash" e vedi che dice.

    Rispondi citando Rispondi citando Il mio PC

  4. #3
    Data registrazione
    Feb 2010
    Località
    NCC1701
    Messaggi
    3,822
    Grazie dati 
    1,307
    Grazie ricevuti 
    1,323
    Ringraziato in
    996 post

    Riferimento: [Ubuntu 14.04.2 xfce]Kernel aggiornato non parte, il vecchio obsoleto si

    Togliendo le 2 opzioni quiet e splash dalla riga
    Codice:
    Only registered members can view code.
    incomincia a fare le varie operazioni con ..Done e [OK] tranne una voce:
    Codice:
    Only registered members can view code.
    poi continua con altre voci, con alla fine [OK]. L'ultima riga prima del blocco è
    Codice:
    Only registered members can view code.
    Se mi dici dove posso trovare il log completo se serve lo posto. Quelle voci le ho scritte su carta quindi spero di averle scritte bene.

    Che può essere?


    Rispondi citando Rispondi citando Il mio PC

  5. #4
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    Nel mondo degli svarioni
    Messaggi
    1,403
    Grazie dati 
    149
    Grazie ricevuti 
    471
    Ringraziato in
    421 post

    Riferimento: [Ubuntu 14.04.2 xfce]Kernel aggiornato non parte, il vecchio obsoleto si

    Ma dopo di ciò ti dà un terminale o niente? Se pigi i tasti fa qualcosa?

    Rispondi citando Rispondi citando Il mio PC

  6. #5
    Data registrazione
    Feb 2010
    Località
    NCC1701
    Messaggi
    3,822
    Grazie dati 
    1,307
    Grazie ricevuti 
    1,323
    Ringraziato in
    996 post

    Riferimento: [Ubuntu 14.04.2 xfce]Kernel aggiornato non parte, il vecchio obsoleto si

    Nulla di nulla c'è la luce dell'HDD sempre accesa ma non funzia assolutamente nulla. Neanche Bloc Num, Bloc Scorr, Caps Lock.
    Esattamente come se lascio le 2 opzioni ma, ovviamente, non appaiono le scritte ma solo la scritta Ubuntu con i pallini che si muovono e poi si fermano. Invece sono a me che le palline continuano a girare

    L'unica cosa che posso fare è forzare la chiusura con il tasto alimentazione premuto per qualche secondo, riavviare, stoppare il grub e scegliere il kernel vecchio

    Rispondi citando Rispondi citando Il mio PC

  7. #6
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    Nel mondo degli svarioni
    Messaggi
    1,403
    Grazie dati 
    149
    Grazie ricevuti 
    471
    Ringraziato in
    421 post

    Riferimento: [Ubuntu 14.04.2 xfce]Kernel aggiornato non parte, il vecchio obsoleto si

    Ah, allora è proprio ben piantato. Però così è proprio dura capirci qualcosa... Hai provato in recovery?

    Rispondi citando Rispondi citando Il mio PC

  8. #7
    Data registrazione
    Feb 2010
    Località
    NCC1701
    Messaggi
    3,822
    Grazie dati 
    1,307
    Grazie ricevuti 
    1,323
    Ringraziato in
    996 post

    Riferimento: [Ubuntu 14.04.2 xfce]Kernel aggiornato non parte, il vecchio obsoleto si

    Lo vedo che è ben piantato...

    In recovery mode fa la stessa cosa. Noto che non sempre si blocca alla stessa riga. Alle volte si blocca dopo la sequenza
    Codice:
    Only registered members can view code.
    Visto che sembra riguardare la rete ho provato a togliere il cavo di rete: uguale.
    Noto che resta parecchi secondi fermo dopo che ha eseguito
    Codice:
    Only registered members can view code.
    prima di
    Codice:
    Only registered members can view code.
    Speravo che da qualche parte prima di piantarsi mi avessee dato un errore, un fail o quant'altro.

    Ho visto che c'è stato un'ennesimo aggiornamento del kernel: 3.13.0-53.87. Sperando fosse un bug del precedente kernel gli ho fatto fare l'aggiornamento... nulla! Idem come prima. Ora ne ho 2 di kernel non funzionanti

    Mio consiglio: MAI cancellare TUTTI i kernel vecchi. Tenetene almeno uno funzionante anche se vecchio

    E ora che faccio?
    Non mi dite che tocca formattarlo...

    Rispondi citando Rispondi citando Il mio PC

  9. #8
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    Nel mondo degli svarioni
    Messaggi
    1,403
    Grazie dati 
    149
    Grazie ricevuti 
    471
    Ringraziato in
    421 post

    Riferimento: [Ubuntu 14.04.2 xfce]Kernel aggiornato non parte, il vecchio obsoleto si

    Dovresti entrarci in chroot e ripristinare il kernel precedente. Ma oggettivamente, dato che comunque non funziona, faresti prima a copiarti la home e la /etc se hai toccato qualcosa e reinstallare.

    Rispondi citando Rispondi citando Il mio PC

  10. #9
    Data registrazione
    Feb 2010
    Località
    NCC1701
    Messaggi
    3,822
    Grazie dati 
    1,307
    Grazie ricevuti 
    1,323
    Ringraziato in
    996 post

    Riferimento: [Ubuntu 14.04.2 xfce]Kernel aggiornato non parte, il vecchio obsoleto si

    Citazione Originariamente scritto da pierino_89 Vedi messaggio
    Dovresti entrarci in chroot e ripristinare il kernel precedente. Ma oggettivamente, dato che comunque non funziona, faresti prima a copiarti la home e la /etc se hai toccato qualcosa e reinstallare.
    Sono poi 3 (tre) i kernel non funzionanti! Il backup della home della mia utenza lo faccio costantemente, ma il problema è che c'è un'altra utente amica mia che non posso copiare se non in liveCD o, suppongo, con un comando tipo
    Codice:
    Only registered members can view code.
    Non so cosa intendi se ho toccato qualcosa sulla /etc. Sicuramente in precedenza avranno fatto macelli su questa macchina. Io invece ho fatto solo quello consigliato su CT.

    Mi domando e vi chiedo però:
    un kernel potrebbe non funzionare
    2 è già più difficile
    3 mi sembra assurdo! 3 perché ho provato ad installare la 3.16.x: idem come gli altri 2

    Inoltre il kernel è rimasto quello della versione Ubuntu precedente....
    Visto che stanno aggiornando anche la versione 3.2 del kernel (per la versione 12.04) non è che posso scaricare l'ultimo kernel 3.2.x aggiornato pochi giorni fa (.deb?) e installarlo sulla 14.04? Stavo vedendo http://packages.ubuntu.com/precise/i...neric/download
    Questo fino a quanto non torna la mia amica per fargli fare il backup della sua home se necessaria.

    E' possibile che ci siano enormi problemi perché Ubuntu 14.04 utilizza un kernel per la 12.04? E tra l'altro non si auto-aggiornava neanche nella 12.04!

    Ho notato una differenza tra il kernel obsoleto che sto usando adesso 3.2 e le versioni per la 14.04: quando il kernel monta al boot sda1 la 3.2 lo monta ext3, mentre quelle che si bloccano (tutti e 3) appare in recovery mode
    Codice:
    Only registered members can view code.
    E' normale?



    EDIT - scusate ieri hanno fatto un'altro aggiornamento anche della 3.2: linux-image-3.2.0-82-generic_3.2.0-82.119_i386.deb che ho già scaricato da http://security.ubuntu.com/ubuntu/pool/main/l/linux/ , ma chiedo a voi prima di installarla manualmente se non rischio di danneggiare ulteriormente la situazione...

    Ma gli extra "generic" non c'erano prima oppure si chiamavano extra "virtual" linux-image-extra-3.2.0-84-virtual_3.2.0-84.121_i386.deb ? Anche se credo siano le extra per le macchine virtuali.

    P.S. ma non esiste un modo per far controllare tutti i pacchetti se hanno problemi, ivi compresi i kernel?
    Ultima modifica di Kirk78; 09-05-15 alle 21: 44. Motivo: Link download kernel 3.2 della 12.04 + nuovo kernel e extra

    Rispondi citando Rispondi citando Il mio PC

  11. #10
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,013
    Grazie dati 
    4,802
    Grazie ricevuti 
    2,588
    Ringraziato in
    2,187 post

    Riferimento: [Ubuntu 14.04.2 xfce]Kernel aggiornato non parte, il vecchio obsoleto si

    Non so cosa intendi se ho toccato qualcosa sulla /etc
    Se hai modificato fstab o aggiunto repository, cioè impostazioni a livello globale di sistema.

    Usando un esempio assurdo, /etc è come se fosse alluser su windows.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

Tags per questo thread

Segnalibri

Regole di scrittura

  • Tu non puoi inviare nuove discussioni
  • Tu non puoi inviare risposte
  • Tu non puoi inviare allegati
  • Tu non puoi modificare i tuoi messaggi
  •  
Cookies:direttiva 2009/136/CE (E-Privacy)

Il sito utilizza cookies propri e di terze parti per maggiori informazioni faq - Termini di servizio - Cookies
Il forum non puo' funzionare senza l'uso dei cookies pertanto l'uso della community è vincolato dall'accettazione degli stessi, nel caso contrario siete pregati di lasciare la community, proseguendo la navigazione acconsenti all’uso dei cookie